package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsTemplate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷扫描模板表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsTemplateMapper extends TkMapper<MsTemplate> {

    //根据msid查询试卷模板列表
    List<Map<String, Object>> listTemplatesByMpid(@Param("mpid") Integer mpid);

    //设置试卷模板信息
    int updateTemplateForCurrstep(@Param("t") MsTemplate t);

    //获取试卷未提交模版数量
    int getUnCommitTemplateCount(@Param("mpid")Integer mpid);

    //修改模板题块框选状态
    int updateTemplateTbstate(@Param("mtid")Integer mtid, @Param("tbstate")Integer tbstate);

    //获取试卷未框选主观题模板数量
    int getUnSelTemplateCount(@Param("mpid")Integer mpid);

    //试卷所有模板信息
    List<MsTemplate> listTemplateBlockQueByMpid(@Param("mpid") Integer mpid);

    //获取模版详情和考试id
    MsTemplate getTemplateAndExamidByMtid(@Param("mtid") Integer mtid);
}
